#!/usr/bin/env bash

echo "Setting up experimental environment"
echo
echo "**********************************************"
echo "** Note: this wouldn't be necessary if      **"
echo "** I was using a saved disk image snapshot! **"
echo "**********************************************"
echo

echo "Installing packages ..."
echo

# upgrade pip
sudo pip install --user -U pip

# install tensorflow
sudo pip3 install tensorflow

# install matplotlib
sudo pip install matplotlib

# install tensorflow-datasets
sudo pip install tensorflow-datasets

# install python-csv 
sudo pip install python-csv

sudo pip install opencv-python

sudo pip install Pillow

sudo apt-get install -y libsm6 libxext6 libxrender-dev

sudo pip install --upgrade opencv-python

sudo pip install --upgrade Pillow

sudo pip install scikit-learn

sudo pip install kaggle

echo "Packages Installed"
echo

